////////////////////////////////////////////////////////////////////////////////////////////////////
/// Declares the Phase One Image SDK types
////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef PHASE_ONE_IMAGE_SDK_TYPES_H
#define PHASE_ONE_IMAGE_SDK_TYPES_H

#include <stdint.h>

namespace P1
{
namespace ImageSdk
{

//-----------------------------------------
// Message/TRACE
//-----------------------------------------
enum MessageLevel
{
	MSG_LEVEL_OFF = 0,
	MSG_LEVEL_ERROR,
	MSG_LEVEL_WARNING,
	MSG_LEVEL_INFO_HIGHLIGHT,
	MSG_LEVEL_INFO,
	MSG_LEVEL_VERBOSE,
	MSG_LEVEL_DEBUG,
	MSG_LEVEL_MAX
};

////////////////////////////////////////////////////////////////////////////////////////////////////
/// structures
////////////////////////////////////////////////////////////////////////////////////////////////////

enum BayerDataRepFormat
{
	kBayerFormat_Unknown = 0,
	kBayerFormat_Bayer16
};

enum BitmapColorSpace
{
	kBitmapColorSpace_Undefined = 0,
	kBitmapColorSpace_sRGB				// sRGB (IEC61966-2.1)
};

struct Version
{
//    C++11 forbids default member initializers, if initalizer list
//    is to be used
	uint32_t major;
	uint32_t minor;
	uint32_t build;
};

} // ImageSdk
} // P1

///< PHASE_ONE_IMAGE_SDK_TYPES_H
#endif
/// @}
